Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7357)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7459)
@@ -29,5 +29,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action
 from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
@@ -141,5 +141,5 @@
         return
 
-    @grok.action('Add hostel', validator=NullValidator)
+    @action('Add hostel', validator=NullValidator)
     def addSubunit(self, **data):
         self.redirect(self.url(self.context, 'addhostel'))
@@ -158,5 +158,5 @@
     pnav = 5
 
-    @grok.action('Create hostel')
+    @action('Create hostel')
     def addHostel(self, **data):
         hostel = Hostel()
@@ -230,10 +230,10 @@
         return
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
         return
 
-    @grok.action('Update all beds')
+    @action('Update all beds')
     def updateBeds(self, **data):
         removed, added, modified, modified_beds = self.context.updateBeds()
@@ -245,5 +245,5 @@
         return
 
-    @grok.action('Switch reservation of selected beds')
+    @action('Switch reservation of selected beds')
     def switchReservations(self, **data):
         form = self.request.form
@@ -273,5 +273,5 @@
         return
 
-    @grok.action('Release selected beds')
+    @action('Release selected beds')
     def releaseBeds(self, **data):
         form = self.request.form
@@ -316,5 +316,5 @@
             self.context.__parent__.hostel_name, co[1], co[2], co[3])
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7357)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7459)
@@ -1,9 +1,9 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status"> Form Status:
+<div class="alert-message error" tal:define="status view/status" tal:condition="status"> Form Status:
   <span i18n:translate="" tal:content="view/status"> Form status summary
   </span>
 </div>
-<form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">
-  <table class="zebra">
+<form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
+  <table>
     <thead>
       <tr>
@@ -25,5 +25,5 @@
     </tbody>
   </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions" tal:omit-tag="">
       <input tal:replace="structure action/render"/>
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7357)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7459)
@@ -5,5 +5,5 @@
 </div>
 
-<table class="zebra">
+<table>
   <thead>
     <tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7357)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
   tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
       tal:define="status view/status"
       tal:condition="status">
@@ -18,24 +18,22 @@
 
   <form action="." tal:attributes="action request/URL" method="POST"
-        class="edit-form" enctype="multipart/form-data">
+        enctype="multipart/form-data">
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Hostel Data</span></a></li>
-      <li><a href="#tab-2"><span>Beds</span></a></li>
-    </ul>
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Hostel Data</span></a></li>
+    <li><a href="#tab-2"><span>Beds</span></a></li>
+  </ul>
 
-    <div id="tab-1">
-      <table class="zebra">
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
       <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
+          <td>
             <span class="widget" tal:content="structure widget">
               <input type="text" />
@@ -45,5 +43,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -52,5 +50,5 @@
       </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
@@ -97,5 +95,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
